%define upstream_name    Dist-Zilla-PluginBundle-DAGOLDEN
%define upstream_version 0.069

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    DAGOLDEN's default Pod::Weaver config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Plugin::Authority) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker) >= 1.110.0
BuildRequires: perl(Dist::Zilla::Plugin::CPANFile)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckMetaResources) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed) >= 0.2.0
BuildRequires: perl(Dist::Zilla::Plugin::ContributorsFromGit) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.360.0
BuildRequires: perl(Dist::Zilla::Plugin::InsertCopyright) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 1.140.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::AuthorDeps)
BuildRequires: perl(Dist::Zilla::Plugin::PromptIfStale) >= 0.11.0
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.190.0
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.101.620
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 2.36.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion) >= 2.0.3
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic)
BuildRequires: perl(Dist::Zilla::Plugin::Test::PodSpelling) >= 2.6.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.8.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Version)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.121.10
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.200.1
BuildRequires: perl(Pod::Elemental::Transformer::List) >= 0.102.0
BuildRequires: perl(Pod::Weaver) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::WikiDoc)
BuildRequires: perl(Pod::Weaver::Section::Contributors) >= 0.1.0
BuildRequires: perl(Pod::Weaver::Section::Support) >= 1.1.0
BuildRequires: perl(Pod::Wordlist) >= 1.100.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Portability::Files) >= 0.60.0
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage PluginBundle for author dagolden.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.69.0-3.mga5
+ Revision: 745638
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 0.69.0-1.mga5
+ Revision: 658156
- update to 0.069

* Sat May 17 2014 sander85 <sander85> 0.67.0-1.mga5
+ Revision: 623255
- update to 0.067

* Tue Feb 25 2014 jquelin <jquelin> 0.62.0-1.mga5
+ Revision: 596997
- update to 0.062

* Tue Oct 22 2013 umeabot <umeabot> 0.55.0-2.mga4
+ Revision: 542294
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.55.0-1.mga4
+ Revision: 497273
- update to 0.055

* Thu Sep 26 2013 sander85 <sander85> 0.54.0-1.mga4
+ Revision: 487237
- update to 0.054

* Sun Sep 08 2013 sander85 <sander85> 0.53.0-1.mga4
+ Revision: 476400
- update to 0.053

* Sun Sep 08 2013 sander85 <sander85> 0.51.0-1.mga4
+ Revision: 475881
- update to 0.051

* Sun Jul 21 2013 sander85 <sander85> 0.47.0-1.mga4
+ Revision: 456971
- update to 0.047

* Sun Jan 13 2013 umeabot <umeabot> 0.34.0-2.mga3
+ Revision: 366609
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.34.0-1.mga3
+ Revision: 342540
- update to 0.034

* Mon Oct 01 2012 jquelin <jquelin> 0.33.0-1.mga3
+ Revision: 301284
- update to 0.033

* Thu Sep 27 2012 jquelin <jquelin> 0.32.0-1.mga3
+ Revision: 298736
- update to 0.032

* Thu Jul 05 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 268026
- update to 0.030

* Tue Mar 06 2012 jquelin <jquelin> 0.27.0-1.mga2
+ Revision: 219917
- update to 0.027

* Thu Jan 05 2012 jquelin <jquelin> 0.23.0-1.mga2
+ Revision: 191273
- update to 0.023

* Thu Dec 15 2011 jquelin <jquelin> 0.22.0-1.mga2
+ Revision: 181900
- update to 0.022

* Sat Dec 10 2011 kharec <kharec> 0.21.0-1.mga2
+ Revision: 180187
- update to 0.021

* Mon Sep 26 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 148056
- update to 0.020
- fix youri check
- update to 0.019
- fix youri check

* Tue Mar 15 2011 jquelin <jquelin> 0.17.0-1.mga1
+ Revision: 71824
- imported package perl-Dist-Zilla-PluginBundle-DAGOLDEN


* Tue Mar 15 2011 cpan2dist 0.017-1mga
- initial mageia release, generated with cpan2dist
